Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxQMgrQInlinedReadWriteInfo Struct Reference [IXP425 Queue Manager (IxQMgr) API] Internal structure to facilitate inlining functions in IxQMgr.h. More...
## Data Fields
UINT32 | qOflowStatBitMask
| overflow status mask
UINT32 | qWriteCount
| queue write count
volatile UINT32 * | qAccRegAddr
| access register
volatile UINT32 * | qUOStatRegAddr
| status register
volatile UINT32 * | qConfigRegAddr
| config register
UINT32 | qEntrySizeInWords
| queue entry size in words
UINT32 | qSizeInEntries
| queue size in entries
UINT32 | qUflowStatBitMask
| underflow status mask
UINT32 | qReadCount
| queue read count
## Detailed Description Internal structure to facilitate inlining functions in IxQMgr.h. Definition at line 979 of file IxQMgr.h. ## Field Documentation
volatile UINT32* IxQMgrQInlinedReadWriteInfo::qAccRegAddr
| access register Definition at line 986 of file IxQMgr.h. Referenced by ixQMgrQBurstRead(), ixQMgrQBurstWrite(), ixQMgrQRead(), and ixQMgrQWrite().
volatile UINT32* IxQMgrQInlinedReadWriteInfo::qConfigRegAddr
| config register Definition at line 988 of file IxQMgr.h. Referenced by ixQMgrQRead(), and ixQMgrQWrite().
UINT32 IxQMgrQInlinedReadWriteInfo::qEntrySizeInWords
| queue entry size in words Definition at line 989 of file IxQMgr.h. Referenced by ixQMgrQBurstRead(), ixQMgrQBurstWrite(), ixQMgrQRead(), and ixQMgrQWrite().
UINT32 IxQMgrQInlinedReadWriteInfo::qOflowStatBitMask
| overflow status mask Definition at line 982 of file IxQMgr.h. Referenced by ixQMgrQBurstWrite(), and ixQMgrQWrite().
UINT32 IxQMgrQInlinedReadWriteInfo::qReadCount
| queue read count Definition at line 994 of file IxQMgr.h. Referenced by ixQMgrQBurstRead(), and ixQMgrQRead().
UINT32 IxQMgrQInlinedReadWriteInfo::qSizeInEntries
| queue size in entries Definition at line 990 of file IxQMgr.h. Referenced by ixQMgrQBurstWrite(), ixQMgrQRead(), and ixQMgrQWrite().
UINT32 IxQMgrQInlinedReadWriteInfo::qUflowStatBitMask
| underflow status mask Definition at line 993 of file IxQMgr.h. Referenced by ixQMgrQBurstRead(), and ixQMgrQRead().
volatile UINT32* IxQMgrQInlinedReadWriteInfo::qUOStatRegAddr
| status register Definition at line 987 of file IxQMgr.h. Referenced by ixQMgrQBurstRead(), ixQMgrQBurstWrite(), ixQMgrQRead(), and ixQMgrQWrite().
UINT32 IxQMgrQInlinedReadWriteInfo::qWriteCount
| queue write count Definition at line 983 of file IxQMgr.h. Referenced by ixQMgrQBurstWrite(), and ixQMgrQWrite().
The documentation for this struct was generated from the following file: IxQMgr.h
Automatically generated from sources. © Intel Corp. 2003